Debian Bug report logs - #637576
Please transition libogg for multiarch

version graph

Package: libogg; Maintainer for libogg is Ron Lee <ron@debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Fri, 12 Aug 2011 18:48:01 UTC

Severity: normal

Tags: patch

Found in versions 1.2.2~dfsg-1, libogg/1.3.0-1

Fixed in versions libogg/1.2.2~dfsg-1.1, libogg/1.3.0-3

Done: Ron Lee <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#637576; Package libogg. (Fri, 12 Aug 2011 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. (Fri, 12 Aug 2011 18:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please transition libogg for multiarch
Date: Fri, 12 Aug 2011 11:44:55 -0700
[Message part 1 (text/plain, inline)]
Package: libogg
Version: 1.2.2~dfsg-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

Hi Ron,

Please find attached a patch to libogg to transition it to use of the
multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  This patch has been
tested and will be uploaded shortly to Ubuntu Oneiric.  I would encourage
you to apply this patch in Debian as well, since libogg is pretty low in the
audio stack included in ia32-libs, which we would like to get rid of for
wheezy.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[tmpksJ_x8 (text/x-diff, attachment)]

Added indication that bug 637576 blocks 670531 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:06 GMT) Full text and rfc822 format available.

Added indication that bug 637576 blocks 670532 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#637576; Package libogg. (Sun, 06 May 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Holtermann <sebholt@xwmw.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 06 May 2012 09:03:05 GMT) Full text and rfc822 format available.

Message #14 received at 637576@bugs.debian.org (full text, mbox):

From: Sebastian Holtermann <sebholt@xwmw.org>
To: 637576@bugs.debian.org
Subject: Please fix this
Date: Sun, 06 May 2012 10:59:59 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Please fix this.

It's quite a show stopper for i386 wine, sdl, pulseaudio and many
others on amd64 systems.

- -- 
Sebastian Holtermann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBCAAGBQJPpj1+AAoJECkBQ2tME2Nmj9kIAJ80dDWpyYlm5dIovW3Gf24g
N10fTwawklt66Gz6KQACkcc0ZTQhA+D8uLxuc8DYUU1Akn77PJQU+Q/ZkgC+ZtQA
bGarvf5tcerzOXHS+zl3nhI2Hv920DpfX70WbyW50KnTY5bVAKnL9WcMjxZ4LNRa
kQeRekOfk4sYsS/0ZCdJB6WQdqHinn/lipwcEPzdm4DHeeetnETPP7qBcYzcAl+y
3m49T9BLj8glHUaWs9TvhIn8NQf95D5RyK2Mlwhi7RTz4qse5xb6s7ocX1uMQIkQ
26nnj13eIWJXT9dTDIZ96r9K0PrXOm/NqAxaUYwPkD57h77ofJgCwNG2xRHxIPk=
=o6WO
-----END PGP SIGNATURE-----




Reply sent to Riku Voipio <riku.voipio@linaro.org>:
You have taken responsibility. (Mon, 07 May 2012 12:24:39 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Mon, 07 May 2012 12:25:12 GMT) Full text and rfc822 format available.

Message #19 received at 637576-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 637576-close@bugs.debian.org
Subject: Bug#637576: fixed in libogg 1.2.2~dfsg-1.1
Date: Mon, 07 May 2012 12:21:02 +0000
Source: libogg
Source-Version: 1.2.2~dfsg-1.1

We believe that the bug you reported is fixed in the latest version of
libogg, which is due to be installed in the Debian FTP archive:

libogg-dbg_1.2.2~dfsg-1.1_amd64.deb
  to main/libo/libogg/libogg-dbg_1.2.2~dfsg-1.1_amd64.deb
libogg-dev_1.2.2~dfsg-1.1_amd64.deb
  to main/libo/libogg/libogg-dev_1.2.2~dfsg-1.1_amd64.deb
libogg0_1.2.2~dfsg-1.1_amd64.deb
  to main/libo/libogg/libogg0_1.2.2~dfsg-1.1_amd64.deb
libogg_1.2.2~dfsg-1.1.diff.gz
  to main/libo/libogg/libogg_1.2.2~dfsg-1.1.diff.gz
libogg_1.2.2~dfsg-1.1.dsc
  to main/libo/libogg/libogg_1.2.2~dfsg-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637576@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@linaro.org> (supplier of updated libogg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 May 2012 15:04:09 +0300
Source: libogg
Binary: libogg0 libogg-dev libogg-dbg
Architecture: source amd64
Version: 1.2.2~dfsg-1.1
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Riku Voipio <riku.voipio@linaro.org>
Description: 
 libogg-dbg - debugging symbols for libogg
 libogg-dev - Ogg bitstream library development files
 libogg0    - Ogg bitstream library
Closes: 637576
Changes: 
 libogg (1.2.2~dfsg-1.1) unstable; urgency=low
 .
   * Non-maintainer upload for Multi-Arch
   * Enable multiarch, patch from Steve Langasek. Closes: #637576
Checksums-Sha1: 
 5112fba85e5d9902220795b7e31354fe6d7c923d 1249 libogg_1.2.2~dfsg-1.1.dsc
 1cfecd46bba56abfea2baf871ee8021bf0e61a01 11295 libogg_1.2.2~dfsg-1.1.diff.gz
 17d20590f10476c397f89f61d2e2402403ecacc7 18306 libogg0_1.2.2~dfsg-1.1_amd64.deb
 63d59f38dd0d98653054253c7efea9243f44b0bb 71206 libogg-dev_1.2.2~dfsg-1.1_amd64.deb
 cf2b1b671e5d263ea4302ca898cc96094bc3a984 19722 libogg-dbg_1.2.2~dfsg-1.1_amd64.deb
Checksums-Sha256: 
 fee34897344e8f8e1e1faafa1cbf3cd3f576863c066da8a1568c1628ba5f92ff 1249 libogg_1.2.2~dfsg-1.1.dsc
 1010a8619bab9777321eccc15d113c100346fb03e589206194875fc98efd5977 11295 libogg_1.2.2~dfsg-1.1.diff.gz
 6f9d73284dd1896805f42ace403f1955f6945daaae125c2e06a13c11883e6a26 18306 libogg0_1.2.2~dfsg-1.1_amd64.deb
 18290126837515d105cb42d3c08fc44dc23cd7e9d0e4112eb2555752a2eb0bbd 71206 libogg-dev_1.2.2~dfsg-1.1_amd64.deb
 0caf76186ae879fecffbfcca592464fb2e13cf12833e3b224bee8fa68df149cf 19722 libogg-dbg_1.2.2~dfsg-1.1_amd64.deb
Files: 
 5d5632f65632bb5d2c81cf85a79925d2 1249 libs optional libogg_1.2.2~dfsg-1.1.dsc
 e0649704e9888fafe9839d7853180613 11295 libs optional libogg_1.2.2~dfsg-1.1.diff.gz
 31a72c5f5c204d42162f45056be381d3 18306 libs optional libogg0_1.2.2~dfsg-1.1_amd64.deb
 e3ccae88ebead863f6db9e8ac098b66c 71206 libdevel optional libogg-dev_1.2.2~dfsg-1.1_amd64.deb
 d022fdcb72330f4bd221834009a82b59 19722 debug extra libogg-dbg_1.2.2~dfsg-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPp7vSibPvMsrqrwMRAi9IAKCkkApQmmrGr0fvTGm/IvblXPC5SwCgz7lQ
QeYcrosM+3IlKF5XPr0g7uM=
=2HS6
-----END PGP SIGNATURE-----





Marked as found in versions libogg/1.3.0-1 and reopened. Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Mon, 21 May 2012 20:57:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Mon, 21 May 2012 23:06:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#637576; Package libogg. (Fri, 01 Jun 2012 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 01 Jun 2012 13:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 637576@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: 637576@bugs.debian.org
Subject: Plans?
Date: Fri, 01 Jun 2012 14:55:19 +0200
Hi,

do you plan to fix this in wheezy? Please do.

Best regards,
Tobias




Reply sent to Ron Lee <ron@debian.org>:
You have taken responsibility. (Sat, 02 Jun 2012 21:15:13 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Sat, 02 Jun 2012 21:15:13 GMT) Full text and rfc822 format available.

Message #33 received at 637576-close@bugs.debian.org (full text, mbox):

From: Ron Lee <ron@debian.org>
To: 637576-close@bugs.debian.org
Subject: Bug#637576: fixed in libogg 1.3.0-3
Date: Sat, 02 Jun 2012 21:13:36 +0000
Source: libogg
Source-Version: 1.3.0-3

We believe that the bug you reported is fixed in the latest version of
libogg, which is due to be installed in the Debian FTP archive:

libogg-dbg_1.3.0-3_amd64.deb
  to main/libo/libogg/libogg-dbg_1.3.0-3_amd64.deb
libogg-dev_1.3.0-3_amd64.deb
  to main/libo/libogg/libogg-dev_1.3.0-3_amd64.deb
libogg0_1.3.0-3_amd64.deb
  to main/libo/libogg/libogg0_1.3.0-3_amd64.deb
libogg_1.3.0-3.diff.gz
  to main/libo/libogg/libogg_1.3.0-3.diff.gz
libogg_1.3.0-3.dsc
  to main/libo/libogg/libogg_1.3.0-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637576@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ron Lee <ron@debian.org> (supplier of updated libogg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Jun 2012 05:45:35 +0930
Source: libogg
Binary: libogg0 libogg-dev libogg-dbg
Architecture: source amd64
Version: 1.3.0-3
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Ron Lee <ron@debian.org>
Description: 
 libogg-dbg - debugging symbols for libogg
 libogg-dev - Ogg bitstream library development files
 libogg0    - Ogg bitstream library
Closes: 637576
Changes: 
 libogg (1.3.0-3) unstable; urgency=low
 .
   * Build for multi-arch.  Closes: #637576
Checksums-Sha1: 
 9525472ffbf05fc178cb42bd8d4fec149b763bea 1203 libogg_1.3.0-3.dsc
 4ea76f05929002930bfb243a94a4d7e5540b8b54 6525 libogg_1.3.0-3.diff.gz
 3b9596f13a6b66bf7e0e2a21d250c4528593790e 20498 libogg0_1.3.0-3_amd64.deb
 a084cb6fa68f6cc36a30327fadcb327038438c54 94374 libogg-dev_1.3.0-3_amd64.deb
 6749a379bba02361d702847bc6a081b733725d5b 25992 libogg-dbg_1.3.0-3_amd64.deb
Checksums-Sha256: 
 c71cd80a1ec391e430b4ed93207c749fccc9fdec55765db338fce6a6b1058549 1203 libogg_1.3.0-3.dsc
 b76e3c72bb45c4396bd62373207eb30c38e1248c4ef09b8f4cc8952863af7402 6525 libogg_1.3.0-3.diff.gz
 656c1a148879ae12424fff81ce7fcf87bbe5f14e41e2b939540632aab7044209 20498 libogg0_1.3.0-3_amd64.deb
 4bc168de854a3d05ab69b264989935354aed5731ee50409e97b62cdf3fe0aee2 94374 libogg-dev_1.3.0-3_amd64.deb
 6fe1b92ecd5ceea4a626dc28edb4e3e19002011aa7adefdd7dc8538fecf61edc 25992 libogg-dbg_1.3.0-3_amd64.deb
Files: 
 35071d62932bc2c225cdcb219f3ce4ff 1203 libs optional libogg_1.3.0-3.dsc
 1a9f6d822f5043a4f1648b40677853f3 6525 libs optional libogg_1.3.0-3.diff.gz
 3dfb4ddb8c151c96f6b50f50ed71d4ff 20498 libs optional libogg0_1.3.0-3_amd64.deb
 9b64a7c2e9d4fa4703f0f428156a03ad 94374 libdevel optional libogg-dev_1.3.0-3_amd64.deb
 67bc9dffa65edc13d08c59af19d63786 25992 debug extra libogg-dbg_1.3.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPynr4p4BCHGgCHOQRAvS9AJsGhjDSsRMc1wvaBX4oc3WCdSxZSgCfT/cu
KxbCrZLMkSycQv+9yZVgsD4=
=8zO1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:30:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:55:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.